/* Formatted on 16-12-2009 16:17:03 (QP5 v5.115.810.9015) */

SELECT '"Kwartaal";"Gebouw";"Gebouweigenaar";"REMA
SELECT kwartaal kwartaal,
       v.geb_code gebouw,
       v.eigenaar eigenaar,
       rema,
       fm,
       'KA' ruimtefunctie,
       SUM (teken_opp) m2,
       dsm_derden dsm_derden,
       debiteur debiteur,
       huurder_nummer,
       huurder_naam,
       v.fdc fdc,
       totaal totaal
FROM aafm_hv_freeze v, (SELECT SUM (teken_opp) totaal, geb_code
                          FROM aafm_v_hv_detail v1
                          WHERE v1.code LIKE 'KA%'
                          GROUP BY geb_code) totaal_gebouw
WHERE v.code LIKE 'KA%' AND v.geb_code = totaal_gebouw.geb_code
AND huurder_nummer not like '%.99'
GROUP BY kwartaal,
         v.eigenaar,
         v.fdc,
         huurder_naam,
         huurder_nummer,
         v.geb_code,
         rema,
         fm,
         debiteur,
         dsm_derden,
         totaal
ORDER BY 1, 2


select * from aafm_v_hv_detail

drop table aafm_hv_freeze

create table aafm_hv_freeze (
freeze_datum date,
kwartaal varchar2(10),
eigenaar varchar2(100),
loc_code varchar2(10),
geb_code varchar2(10),
ver_code varchar2(10),
ruimte_nr varchar2(10),
ruimtesoort varchar2(30),
code varchar2(30),
opp number(8,2),
teken_opp number(8,2),
dsm_derden varchar2(30),
debiteur varchar2(30),
huurder_nummer varchar2(30),
huurder_naam varchar2(60),
fdc varchar2(30),
bezetting number(3), 
tarief_huur number(8,2),
tarief_service number(8,2),
rema varchar2(30),
fm varchar2(30)
)




--
--
--
-- ook lege regels voor gebouw toevoegen.
INSERT INTO aads_hv_freeze
(
    freeze_datum, kwartaal, eigenaar, loc_code, geb_code, ver_code, ruimte_nr, ruimtesoort, code, opp, teken_opp, dsm_derden, debiteur, huurder_nummer, huurder_naam, fdc, bezetting, tarief_huur, tarief_service, rema, fm
)
   SELECT SYSDATE,
          TO_CHAR (SYSDATE, 'yyyy')
          || TRUNC ( (TO_NUMBER (TO_CHAR (SYSDATE, 'mm')) + 2) / 3),
          eigenaar,
          loc_code,
          geb_code,
          ver_code,
          ruimte_nr,
          ruimtesoort,
          code,
          opp,
          teken_opp,
          dsm_derden,
          debiteur,
          huurder_nummer,
          huurder_naam,
          fdc,
          bezetting,
          tarief_huur,
          tarief_service,
          rema,
          fm
   FROM aads_v_hv_detail
   WHERE verhuurbaar = 1
   UNION
   SELECT SYSDATE,
          TO_CHAR (SYSDATE, 'yyyy')
          || TRUNC ( (TO_NUMBER (TO_CHAR (SYSDATE, 'mm')) + 2) / 3),
          eigenaar,
          loc_code,
          geb_code,
          NULL,
          NULL,
          NULL,
          'KA',
          1,
          1,
          NULL dsm_derden,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL
   FROM (SELECT (SELECT COALESCE (fac_usrdata_omschr, 'Onbekend')
                 FROM alg_onrgoedkenmerk ok, fac_usrdata ud
                 WHERE     alg_kenmerk_key = 1063
                       AND ok.alg_onrgoed_niveau = 'G'
                       AND ok.alg_onrgoed_key = g.alg_gebouw_key
                       AND fac.safe_to_number (alg_onrgoedkenmerk_waarde) =
                             ud.fac_usrdata_key)
                   eigenaar,
                g.alg_gebouw_code geb_code,
                l.alg_locatie_code loc_code
         FROM alg_v_aanweziggebouw g, alg_locatie l
         WHERE g.alg_locatie_key = l.alg_locatie_key
               AND NOT EXISTS
                     (SELECT d.geb_code
                      FROM aads_v_hv_detail d
                      WHERE     code LIKE 'KA%'
                            AND huurder_nummer NOT LIKE '%.99'
                            AND verhuurbaar = 1
                            AND g.alg_gebouw_code = d.geb_code))
   GROUP BY geb_code, loc_code, eigenaar
